diff --git a/tests/testaafilter.cc b/tests/testaafilter.cc
index 2cdf6ce..32dc8ca 100644
--- a/tests/testaafilter.cc
+++ b/tests/testaafilter.cc
@@ -7,6 +7,8 @@
 #include "smfft.hh"
 
 #include <vector>
+#include <cmath>
+
 #include <assert.h>
 #include <stdio.h>
 #include <unistd.h>
diff --git a/tests/testfft.cc b/tests/testfft.cc
index e4529b3..5a77922 100644
--- a/tests/testfft.cc
+++ b/tests/testfft.cc
@@ -9,6 +9,7 @@
 #include <assert.h>
 
 #include <algorithm>
+#include <cmath>
 
 using namespace SpectMorph;
 
diff --git a/tests/testifftsynth.cc b/tests/testifftsynth.cc
index e5b8858..8fec0fa 100644
--- a/tests/testifftsynth.cc
+++ b/tests/testifftsynth.cc
@@ -8,11 +8,13 @@
 #include "smfft.hh"
 #include "smutils.hh"
 
-#include <vector>
 #include <stdio.h>
 #include <assert.h>
 #include <sys/time.h>
 
+#include <vector>
+#include <cmath>
+
 using namespace SpectMorph;
 
 using std::vector;
diff --git a/tests/testnoisemodes.cc b/tests/testnoisemodes.cc
index af8299f..664a7e5 100644
--- a/tests/testnoisemodes.cc
+++ b/tests/testnoisemodes.cc
@@ -8,6 +8,8 @@
 
 #include <assert.h>
 
+#include <cmath>
+
 using namespace SpectMorph;
 using std::max;
 using std::vector;
diff --git a/tests/testppinter.cc b/tests/testppinter.cc
index 05f6670..b9d5e84 100644
--- a/tests/testppinter.cc
+++ b/tests/testppinter.cc
@@ -6,9 +6,10 @@
 #include "smlivedecoder.hh"
 #include "smfft.hh"
 
-#include <sys/time.h>
-
 #include <vector>
+#include <cmath>
+
+#include <sys/time.h>
 #include <assert.h>
 #include <stdio.h>
 
diff --git a/tools/smrunplan.cc b/tools/smrunplan.cc
index 355b9ce..99838ea 100644
--- a/tools/smrunplan.cc
+++ b/tools/smrunplan.cc
@@ -12,6 +12,8 @@
 #include <sys/time.h>
 #include <assert.h>
 
+#include <cmath>
+
 using namespace SpectMorph;
 
 using std::vector;
